package com.zhongzheng.modules.recruit.service;

import com.zhongzheng.common.core.domain.model.LoginUser;
import com.zhongzheng.modules.recruit.domain.RecruitInterview;
import com.zhongzheng.modules.recruit.vo.CalendarInterviewVo;
import com.zhongzheng.modules.recruit.vo.RecruitInterviewExcel;
import com.zhongzheng.modules.recruit.vo.RecruitInterviewUserVo;
import com.zhongzheng.modules.recruit.vo.RecruitInterviewVo;
import com.zhongzheng.modules.recruit.bo.RecruitInterviewQueryBo;
import com.zhongzheng.modules.recruit.bo.RecruitInterviewAddBo;
import com.zhongzheng.modules.recruit.bo.RecruitInterviewEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 招聘面试关联Service接口
 *
 * @author ruoyi
 * @date 2021-08-18
 */
public interface IRecruitInterviewService extends IService<RecruitInterview> {
	/**
	 * 查询单个
	 * @return
	 */
	RecruitInterviewVo queryById(Long interviewId);

	/**
	 * 查询列表
	 */
	List<RecruitInterviewVo> queryList(RecruitInterviewQueryBo bo);

	/**
	 * 查询列表
	 */
	List<RecruitInterviewExcel> queryExcelsList(RecruitInterviewQueryBo bo);

	/**
	 * 根据新增业务对象插入招聘面试关联
	 * @param bo 招聘面试关联新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(RecruitInterviewAddBo bo);

	/**
	 * 根据编辑业务对象修改招聘面试关联
	 * @param bo 招聘面试关联编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(RecruitInterviewEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


	/**
	 * 查询面试日历
	 * @param bo
	 * @return
	 */
	CalendarInterviewVo queryListCalendar(RecruitInterviewQueryBo bo);

	List<RecruitInterviewVo> queryListAll(RecruitInterviewQueryBo bo);

	RecruitInterviewUserVo interviewUserId(Long interviewUserId, LoginUser loginUser);

	List<RecruitInterviewVo> queryListAppAll(RecruitInterviewQueryBo bo);
}
